Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container
Interface PortletApplicationContext

All Known Implementing Classes:
  PortletApplicationContextImpl, PortletApplicationDeployment

    public interface PortletApplicationContext

The context provided to a portlet application. For now it manages the application external resources such as the servlet context and the application classloader. It manages also the life cycle of the application and its components.

Version:
  $Revision: 6733 $
Author:
  Julien Viet

Method Summary
`java.lang.ClassLoader` | `getClassLoader()` Return the classloader.
`java.lang.String` | `getContextPath()` Returns the context path of the web application
`javax.servlet.ServletContext` | `getServletContext()` Return the servlet context.
`void` | `startPortletApplication()` Start the portlet application and its components.
`void` | `startPortletContainer(java.lang.String portletName)` Start a portlet container.
`void` | `stopPortletApplication()` Stop the portlet application and its components.
`void` | `stopPortletContainer(java.lang.String portletName)` Stop a portlet container.

Method Detail

### getServletContext

    javax.servlet.ServletContext getServletContext()

  Return the servlet context.

  Returns:
    the servlet context

### getContextPath

    java.lang.String getContextPath()

  Returns the context path of the web application

  Returns:
    the context path

### getClassLoader

    java.lang.ClassLoader getClassLoader()

  Return the classloader.

  Returns:
    the classloader

### startPortletApplication

    void startPortletApplication()
                                 throws java.lang.Exception

  Start the portlet application and its components.

  Throws:
    `java.lang.Exception`

### stopPortletApplication

    void stopPortletApplication()

  Stop the portlet application and its components.

### startPortletContainer

    void startPortletContainer(java.lang.String portletName)
                               throws java.lang.Exception

  Start a portlet container.

  Parameters:
    `portletName` - the container name
  Throws:
    `java.lang.Exception`

### stopPortletContainer

    void stopPortletContainer(java.lang.String portletName)

  Stop a portlet container.

  Parameters:
    `portletName` - the container name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD